Batch Report
Batch Reports by TPN
POST/by-tpn

Returns an array of all historical detailed batch reports for a single merchant ID.

Header Parameters

token*
string

Body Parameters

merchantId*
string
POST/by-tpn
1curl --location 'https://payment.ipospays.tech/api/v1/batch-report' \
2--header 'token: ' \
3--header 'Content-Type: application/json' \
4--data '{
5 "merchantId": "254525842756"
6}'
Response

// Awaiting response…

Sample response
[
  {
    "batch_profiles": [
      {
        "profile_name": "with fee",
        "profileCode": "01",
        "processorData": {
          "developerID": "003338",
          "applicationID": "xxxx",
          "Mid": "xxxxxx",
          "Agent": "xxxx",
          "Chain": "xxxx",
          "Store": "xxxx",
          "TermNo": "xxxx",
          "TermId": "xxxx",
          "dba": "Raina",
          "city": "New York",
          "state": "NY",
          "address": "No.77, New York, Chennai",
          "zipCode": "xxxxx",
          "phone": "+19898989898",
          "Bin": "xxxxxx",
          "Mcc": "xxxx",
          "DeviceCode": "Q",
          "IndustryCode": "R",
          "dsGroup": ""
        },
        "batch_number": "584",
        "transaction_no": 2,
        "settleDate": "2025-07-03T09:03:35.000Z",
        "batch_total": 29.55,
        "batchBase": 28.41,
        "tip": 0,
        "discount": 0,
        "without_tip": 29.55,
        "without_tax": 29.55,
        "customFieldFeeType": null,
        "fee": 1.14,
        "taxAmount": 0,
        "localTaxAmount": 0,
        "stateTaxAmount": 0,
        "withoutLocalTaxAmount": 29.55,
        "withoutStateTaxAmount": 29.55,
        "without_discount": 29.55,
        "without_fee": 28.41,
        "batch_summary": [
          {
            "inx": "1",
            "type": "SALE",
            "profileId": "01",
            "transaction_no": 2,
            "amount": 29.55,
            "txName": "SALE"
          }
        ],
        "batch_details": [
          {
            "groupType": null,
            "transactionId": "662291387620250702155729",
            "profileId": "01",
            "invoiceNumber": "000002",
            "tipAmount": 0,
            "totalTaxAmount": 0,
            "localTaxAmount": 0,
            "posRequestDate": "2025-07-02",
            "posRequestTime": "15:57:29",
            "approvalCode": "TAS386",
            "stateTaxAmount": 0,
            "reducedTax": 0,
            "deferredAuth": "",
            "snfNumber": null,
            "commercialTaxAmount": 0,
            "rrn": "518310500507",
            "externalRefId": "0",
            "appCode": "TAS386",
            "feeAmount": 0.8,
            "voidFlag": "N",
            "baseAmount": 20,
            "customFee": 0.8,
            "onlyTipAmt": 0,
            "surcharge": 0,
            "discount": 0,
            "serviceFee": 0,
            "merchantFee": 0,
            "reducedTaxFee": "",
            "account": "411111******1111",
            "type": "SALE",
            "amount": 20.8,
            "card": "VISA",
            "approvedAmount": 20.8,
            "adjustedTipAmount": 0,
            "tagValue": null,
            "tagLabel": null
          }
        ],
        "summary_type": "default",
        "detail_type": "default",
        "batch_summary_group": [],
        "batch_details_group": []
      }
    ],
    "cash_payment": {
      "data": [
        {
          "id": "12345",
          "hostResponseCode": "00",
          "posResponseCode": "00",
          "txAmount": 10,
          "serviceFee": 0,
          "DiscountFee": 0,
          "cashDiscount": 0,
          "onlyTipAmt": 0,
          "maskedPan": "411111******1111",
          "rrn": "518310500507",
          "txName": "CHECK",
          "totalAmount": 10,
          "approvalCode": "TAS123",
          "txDate": "2025-07-03T09:03:35.000Z",
          "txTime": "14:35:49",
          "tpn": "254525842756",
          "invoiceNumber": "000001",
          "createdAt": "2025-07-03T09:03:35.000Z",
          "updatedAt": "2025-07-03T09:03:35.000Z",
          "transactionId": "763984176154842756202503143549",
          "commonMode": "MOBILE",
          "sourceType": "Paya ACH",
          "additionalDetails": "",
          "destType": "Paya ACH",
          "transactionType": "CHECK"
        }
      ],
      "cash_txn_count": 0,
      "cash_payment_total": 0
    },
    "alter_payments": {
      "alter_txn_count": 0,
      "alter_payment_total": 0,
      "total_tip": 0
    },
    "total_tip": 0,
    "batch_total": 29.55,
    "total_transactions": 2,
    "batch_number": "584",
    "batch_status": "Good Batch",
    "total_fee": 1.14,
    "total_without_fee": 28.41
  }
]